<?php

namespace Drupal\commerce_giftcard\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Ensures gift card code order currency.
 *
 * @Constraint(
 *   id = "GiftcardOrderCurrency",
 *   label = @Translation("Gift card order currency", context = "Validation")
 * )
 */
class GiftcardOrderCurrency extends Constraint {

  /**
   * The error message for mismatched currencies.
   *
   * @var string
   */
  public $message = 'The order currency (%order_currency) does not match the gift card currency (%giftcard_currency).';

}
