<?php

namespace Drupal\commerce_giftcard\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Validates gift card code transactions.
 *
 * @Constraint(
 *   id = "GiftcardTransactionValidAmount",
 *   label = @Translation("Gift card transaction amount", context = "Validation")
 * )
 */
class GiftcardTransactionValidAmount extends Constraint {

  /**
   * The error message for invalid transaction amounts.
   *
   * @var string
   */
  public $message = 'The transaction amount must not result in a negative gift card balance.';

  /**
   * The error message for currency mismatch.
   *
   * @var string
   */
  public $currencyMessage = 'The transaction amount currency (%transaction_currency) does not match the gift card currency (%giftcard_currency).';

}
